Bug 221976 - PATCH: add sparc32bash
PATCH: add sparc32bash
Product: Fedora
Classification: Fedora
Component: setarch (Show other bugs)
sparc Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Depends On:
  Show dependency treegraph
Reported: 2007-01-09 08:52 EST by Dennis Gilmore
Modified: 2013-07-02 19:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-12 10:06:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
add sparc32bash (802 bytes, patch)
2007-01-09 08:52 EST, Dennis Gilmore
no flags Details | Diff

  None (edit)
Description Dennis Gilmore 2007-01-09 08:52:59 EST
Description of problem:
For a long time sparc32 has provided a sparc32bash utility to give a 32 bit 
shell environment.  the attached patch adds sparc32bash to setarch.  

i also changed the sparc section of the spec file to read 

%ifarch sparc sparc64
LINKS="$LINKS sparc sparc64 sparc32 sparc32bash"

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Dennis Gilmore 2007-01-09 08:52:59 EST
Created attachment 145160 [details]
add sparc32bash
Comment 2 Jindrich Novy 2007-01-09 09:27:42 EST
Will not the sparc32bash alias be conflicting with the sparc32bash utility
itself? Or are you proposing this because the the sparc32bash is no more on the
sparc systems?
Comment 3 Dennis Gilmore 2007-01-09 10:17:39 EST
setarch Obsoletes sparc32  which provides sparc32bash 

So i am proposing this as the utility that provides it is no longer around
Comment 4 Jindrich Novy 2007-01-12 10:06:57 EST
Added. Thanks.

I only modified your patch in the way that the sparc32bash alias will be
compiled on the sparc arches exclusively.

Note You need to log in before you can comment on or make changes to this bug.